# Hscpaltrow

hscPitt's ALternative ThROW-out

`Hscpaltrow` is a sample ARexx-Script which explains how to utilize the output of `hscpitt` so that you can retrieve all information stored in the project file.

`Hscpaltrow` is placed in the public domain. Use at your own risk.

`Hscpaltrow` is dedicated to Gwynneth Paltrow.

## Options

There is only a single required option which denotes the project file to examine. If you pass no arguments, a short usage information will be displayed.

## Usage

This script starts `hscpitt` with `COMMAND=EXTRAXT`, stores the output in a temporary file, and parses it so you can access all data from the script. For future compatibility, unknown data are ignored.

Basically, you just have to invoke

        hscpaltrow hsc.project

This script is not designed to do anything useful with the data obtained, it just displays them.

Feel free to modify it, but don't forget to rename it after that, or it will be overwritten when updating your hsc-directory with a new release.

You can find this script in grafflwerk/hscpaltrow.rexx.